## ros-one-ros-control-boilerplate 0.6.1-4jammy.20251023.0936

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ros_control_boilerplate)

find_package(catkin REQUIRED COMPONENTS
  actionlib
  cmake_modules
  control_msgs
  control_toolbox
  controller_manager
  hardware_interface
  joint_limits_interface
  roscpp
  rosparam_shortcuts
  sensor_msgs
  std_msgs
  trajectory_msgs
  transmission_interface
  urdf
)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/cmake)
find_package(Gflags REQUIRED)

catkin_package(
  INCLUDE_DIRS
    include
  CATKIN_DEPENDS
    actionlib
    control_msgs
    control_toolbox
    controller_manager
    hardware_interface
    joint_limits_interface
    roscpp
    rosparam_shortcuts
    sensor_msgs
    std_msgs
    trajectory_msgs
    transmission_interface
    urdf
  LIBRARIES
    generic_hw_control_loop
    generic_hw_interface
    sim_hw_interface
)

###########
## Build ##
###########

include_directories(
  include/
  ${catkin_INCLUDE_DIRS}
  ${Gflags_INCLUDE_DIRS}
)

# Control loop
add_library(generic_hw_control_loop
  src/generic_hw_control_loop.cpp
)
target_link_libraries(generic_hw_control_loop
  ${catkin_LIBRARIES}
)

# Generic Hardware Interface
add_library(generic_hw_interface
  src/generic_hw_interface.cpp
)
target_link_libraries(generic_hw_interface
  ${catkin_LIBRARIES}
)

# Simulation Hardware Interface
add_library(sim_hw_interface
  src/sim_hw_interface.cpp
)
target_link_libraries(sim_hw_interface
  generic_hw_interface
  ${catkin_LIBRARIES}
)

# Main control executable
add_executable(${PROJECT_NAME}_sim_hw_main src/sim_hw_main.cpp)
set_target_properties(${PROJECT_NAME}_sim_hw_main PROPERTIES OUTPUT_NAME sim_hw_main PREFIX "")
target_link_libraries(${PROJECT_NAME}_sim_hw_main
  sim_hw_interface
  generic_hw_control_loop
  ${catkin_LIBRARIES}
)

# Test trajectory generator node
add_executable(${PROJECT_NAME}_test_trajectory src/tools/test_trajectory.cpp)
set_target_properties(${PROJECT_NAME}_test_trajectory PROPERTIES OUTPUT_NAME test_trajectory PREFIX "")
target_link_libraries(${PROJECT_NAME}_test_trajectory
  ${catkin_LIBRARIES}
)

## TOOLS ------------------------------------------------------

# Tool for analyzing controller performance
add_library(controller_to_csv src/tools/controller_to_csv.cpp)
target_link_libraries(controller_to_csv
  ${catkin_LIBRARIES}
)
add_executable(${PROJECT_NAME}_controller_to_csv_main src/tools/controller_to_csv_main.cpp)
set_target_properties(${PROJECT_NAME}_controller_to_csv_main PROPERTIES OUTPUT_NAME controller_to_csv_main PREFIX "")
target_link_libraries(${PROJECT_NAME}_controller_to_csv_main
  controller_to_csv
  ${Gflags_LIBRARIES}
  ${catkin_LIBRARIES}
)

# Tool for analyzing controller performance
add_library(csv_to_controller src/tools/csv_to_controller.cpp)
target_link_libraries(csv_to_controller
  ${catkin_LIBRARIES}
)
add_executable(${PROJECT_NAME}_csv_to_controller_main src/tools/csv_to_controller_main.cpp)
set_target_properties(${PROJECT_NAME}_csv_to_controller_main PROPERTIES OUTPUT_NAME csv_to_controller_main PREFIX "")
target_link_libraries(${PROJECT_NAME}_csv_to_controller_main
  csv_to_controller
  ${Gflags_LIBRARIES}
  ${catkin_LIBRARIES}
)

# Tool for controlling a robot from keyboard
add_executable(${PROJECT_NAME}_keyboard_teleop src/tools/keyboard_teleop.cpp)
set_target_properties(${PROJECT_NAME}_keyboard_teleop PROPERTIES OUTPUT_NAME keyboard_teleop PREFIX "")
target_link_libraries(${PROJECT_NAME}_keyboard_teleop
  ${catkin_LIBRARIES}
)

add_subdirectory(rrbot_control)

## Install ------------------------------------------------------------

# Install libraries
install(TARGETS
    controller_to_csv
    csv_to_controller
    generic_hw_control_loop
    generic_hw_interface
    sim_hw_interface
  LIBRARY DESTINATION
    ${CATKIN_PACKAGE_LIB_DESTINATION}
)

# Install executables
install(TARGETS
    ${PROJECT_NAME}_controller_to_csv_main
    ${PROJECT_NAME}_csv_to_controller_main
    ${PROJECT_NAME}_keyboard_teleop
    ${PROJECT_NAME}_sim_hw_main
    ${PROJECT_NAME}_test_trajectory
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install header files
install(DIRECTORY include/${PROJECT_NAME}/   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== rrbot_control/CMakeLists.txt ===
include_directories(
  include/
)

# RRBot Hardware Interface
add_library(rrbot_hw_interface
  src/rrbot_hw_interface.cpp
)
target_link_libraries(rrbot_hw_interface
  generic_hw_interface
  ${catkin_LIBRARIES}
)

# Main control executable
add_executable(rrbot_hw_main src/rrbot_hw_main.cpp)
target_link_libraries(rrbot_hw_main
  rrbot_hw_interface
  generic_hw_control_loop
  ${catkin_LIBRARIES}
)

## Install ------------------------------------------------------------

# Install libraries
install(TARGETS
    rrbot_hw_interface
  LIBRARY DESTINATION
    ${CATKIN_PACKAGE_LIB_DESTINATION}
)

# Install executables
install(TARGETS
    rrbot_hw_main
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install header files
install(DIRECTORY include/rrbot_control/   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-one-ros-control-boilerplate (0.6.1-4jammy.20251023.0936) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 23 Oct 2025 09:36:38 +0000

ros-one-ros-control-boilerplate (0.6.1-0jammy) jammy; urgency=high

  * Increase required cmake version to fix CMake CMP0048 warning
  * Replaced boost with std shared_ptr
  * Make NodeHandle a const reference
  * test_trajectory:  Read joints list from trajectory controller params
  * Increase num AsyncSpinners where control loops are instantiated
  * Contributors: AndyZe, Dave Coleman, John Morris, Ramon Wijnands, Robert Wilbrandt, Tim Übelhör

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 23 Feb 2021 00:00:00 -0000

ros-one-ros-control-boilerplate (0.6.0-0jammy) jammy; urgency=high

  * Generalize GenericHWControlLoop to all types of RobotHW (#38 <https://github.com/PickNikRobotics/ros_control_boilerplate/issues/38>)
  * Update README.md
  * Fix build badges in README (#37 <https://github.com/PickNikRobotics/ros_control_boilerplate/issues/37>)
  * Update .travis.yml to use moveit_ci (#36 <https://github.com/PickNikRobotics/ros_control_boilerplate/issues/36>)
  * Contributors: Jafar Abdi, RobertWilbrandt

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 16 Jun 2020 00:00:00 -0000

ros-one-ros-control-boilerplate (0.5.0-0jammy) jammy; urgency=high

  * Merge pull request #20 <https://github.com/PickNikRobotics/ros_control_boilerplate/issues/20> from ipa-mdl/fix-loop-deadlock
    refactor GenericHWControlLoop to a sleep-based loop
  * Merge pull request #19 <https://github.com/PickNikRobotics/ros_control_boilerplate/issues/19> from PaulBouchier/kinetic-devel
    change sim_control_mode to 0 (position) so demo works
  * Merge pull request #21 <https://github.com/PickNikRobotics/ros_control_boilerplate/issues/21> from MohmadAyman/fix_typo
    fixed a typo in readme
  * fixed a typo in readme
  * refactor GenericHWControlLoop to a sleep-based loop
    using ros:Timer might lead to deadlocks
  * initialize desired_update_period_ (renamed from desired_update_freq_)
  * Revert "Depend on Eigen3"
    This reverts commit 608cc2fd64739ee56c3fbd5a0ae9d5d26b5684d0.
  * change sim_control_mode to 0 (position) so demo works
  * Merge pull request #16 <https://github.com/PickNikRobotics/ros_control_boilerplate/issues/16> from lucasw/xml-version
    xml version tags for all launch files.
  * xml version tags for all launch files.
  * Merge pull request #15 <https://github.com/PickNikRobotics/ros_control_boilerplate/issues/15> from enricotoi/kinetic-devel
    Fixed a typo in the README.md
  * Fixed a typo in the README.md
    rrbot_simulaton.launch -> rrbot_simulation.launch
  * Update README.md
  * Contributors: Dave Coleman, Lucas Walter, Mathias Lüdtke, Paul Bouchier, enrico toivinen, mohmad ayman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 18 Sep 2019 00:00:00 -0000

ros-one-ros-control-boilerplate (0.4.1-0jammy) jammy; urgency=high

  * Changed boost::shared_ptr to typedef for Lunar support
  * Implemented simulated velocity control
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 20 Jun 2017 00:00:00 -0000

ros-one-ros-control-boilerplate (0.4.0-0jammy) jammy; urgency=high

  * Depend on Eigen3
  * Remove dependency on meta package
  * Fixed var name
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 29 Jun 2016 00:00:00 -0000

ros-one-ros-control-boilerplate (0.3.1-0jammy) jammy; urgency=high

  * API deprecation fix for rosparam_shortcuts
  * Switched to better use of rosparam_shortcuts
  * Ability to record all controller status data, not just at certain frequency
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 13 Jan 2016 00:00:00 -0000

ros-one-ros-control-boilerplate (0.3.0-0jammy) jammy; urgency=high

  * Removed bad reference name
  * Switched to using name_
  * Record error data
  * Disable soft joint limits
  * header to debug output
  * Added error checking of control loops time
  * Fix init() bug
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sun, 27 Dec 2015 00:00:00 -0000

ros-one-ros-control-boilerplate (0.2.1-0jammy) jammy; urgency=high

  * Merge branch 'indigo-devel' of github.com:davetcoleman/ros_control_boilerplate into indigo-devel
  * Fix install path
  * Improve user output message
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 09 Dec 2015 00:00:00 -0000

ros-one-ros-control-boilerplate (0.2.0-0jammy) jammy; urgency=high

  * Do not automatically call init()
  * Removed warning of joint limits for continous joints
  * Fix missing variable
  * Improved rrbot_control example package
  * Moved rrbot example code into subdirectory
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 09 Dec 2015 00:00:00 -0000

ros-one-ros-control-boilerplate (0.1.4-0jammy) jammy; urgency=high

  * Added missing dependency on sensor_msgs
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 07 Dec 2015 00:00:00 -0000

ros-one-ros-control-boilerplate (0.1.3-0jammy) jammy; urgency=high

  * Fix catkin lint errors
  * Added FindGflags directly to this repo
  * Minor fix
  * Updated README
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sat, 05 Dec 2015 00:00:00 -0000

ros-one-ros-control-boilerplate (0.1.2-0jammy) jammy; urgency=high

  * Added dependency on gflags
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 02 Dec 2015 00:00:00 -0000

ros-one-ros-control-boilerplate (0.1.1-0jammy) jammy; urgency=high

  * Added travis support
  * Updated README
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 02 Dec 2015 00:00:00 -0000

ros-one-ros-control-boilerplate (0.1.0-0jammy) jammy; urgency=high

  * Initial release of ros_control_boilerplate
  * Contributors: Dave Coleman



=== debian/control ===
Source: ros-one-ros-control-boilerplate
Section: misc
Priority: optional
Maintainer: Dave Coleman <davetcoleman@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libgflags-dev, ros-one-actionlib, ros-one-catkin, ros-one-cmake-modules, ros-one-control-msgs, ros-one-control-toolbox, ros-one-controller-manager, ros-one-hardware-interface, ros-one-joint-limits-interface, ros-one-roscpp, ros-one-rosparam-shortcuts, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-trajectory-msgs, ros-one-transmission-interface, ros-one-urdf
Homepage: https://github.com/davetcoleman/ros_control_boilerplate
Standards-Version: 3.9.2

Package: ros-one-ros-control-boilerplate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib, ros-one-control-msgs, ros-one-control-toolbox, ros-one-controller-manager, ros-one-hardware-interface, ros-one-joint-limits-interface, ros-one-roscpp, ros-one-rosparam-shortcuts, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-trajectory-msgs, ros-one-transmission-interface, ros-one-urdf
Description: Simple simulation interface and template for setting up a hardware interface for ros_control

## ros-one-ros-control-boilerplate 0.6.1-4jammy.20260221.2113

=== debian/changelog ===
ros-one-ros-control-boilerplate (0.6.1-4jammy.20260221.2113) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <davetcoleman@gmail.com>  Sat, 21 Feb 2026 21:13:02 +0000

## ros-one-ros-control-boilerplate 0.6.1-4noble.20251023.0949

=== debian/changelog ===
ros-one-ros-control-boilerplate (0.6.1-4noble.20251023.0949) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 23 Oct 2025 09:49:25 +0000

ros-one-ros-control-boilerplate (0.6.1-0noble) noble; urgency=high

  * Increase required cmake version to fix CMake CMP0048 warning
  * Replaced boost with std shared_ptr
  * Make NodeHandle a const reference
  * test_trajectory:  Read joints list from trajectory controller params
  * Increase num AsyncSpinners where control loops are instantiated
  * Contributors: AndyZe, Dave Coleman, John Morris, Ramon Wijnands, Robert Wilbrandt, Tim Übelhör

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 23 Feb 2021 00:00:00 -0000

ros-one-ros-control-boilerplate (0.6.0-0noble) noble; urgency=high

  * Generalize GenericHWControlLoop to all types of RobotHW (#38 <https://github.com/PickNikRobotics/ros_control_boilerplate/issues/38>)
  * Update README.md
  * Fix build badges in README (#37 <https://github.com/PickNikRobotics/ros_control_boilerplate/issues/37>)
  * Update .travis.yml to use moveit_ci (#36 <https://github.com/PickNikRobotics/ros_control_boilerplate/issues/36>)
  * Contributors: Jafar Abdi, RobertWilbrandt

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 16 Jun 2020 00:00:00 -0000

ros-one-ros-control-boilerplate (0.5.0-0noble) noble; urgency=high

  * Merge pull request #20 <https://github.com/PickNikRobotics/ros_control_boilerplate/issues/20> from ipa-mdl/fix-loop-deadlock
    refactor GenericHWControlLoop to a sleep-based loop
  * Merge pull request #19 <https://github.com/PickNikRobotics/ros_control_boilerplate/issues/19> from PaulBouchier/kinetic-devel
    change sim_control_mode to 0 (position) so demo works
  * Merge pull request #21 <https://github.com/PickNikRobotics/ros_control_boilerplate/issues/21> from MohmadAyman/fix_typo
    fixed a typo in readme
  * fixed a typo in readme
  * refactor GenericHWControlLoop to a sleep-based loop
    using ros:Timer might lead to deadlocks
  * initialize desired_update_period_ (renamed from desired_update_freq_)
  * Revert "Depend on Eigen3"
    This reverts commit 608cc2fd64739ee56c3fbd5a0ae9d5d26b5684d0.
  * change sim_control_mode to 0 (position) so demo works
  * Merge pull request #16 <https://github.com/PickNikRobotics/ros_control_boilerplate/issues/16> from lucasw/xml-version
    xml version tags for all launch files.
  * xml version tags for all launch files.
  * Merge pull request #15 <https://github.com/PickNikRobotics/ros_control_boilerplate/issues/15> from enricotoi/kinetic-devel
    Fixed a typo in the README.md
  * Fixed a typo in the README.md
    rrbot_simulaton.launch -> rrbot_simulation.launch
  * Update README.md
  * Contributors: Dave Coleman, Lucas Walter, Mathias Lüdtke, Paul Bouchier, enrico toivinen, mohmad ayman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 18 Sep 2019 00:00:00 -0000

ros-one-ros-control-boilerplate (0.4.1-0noble) noble; urgency=high

  * Changed boost::shared_ptr to typedef for Lunar support
  * Implemented simulated velocity control
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 20 Jun 2017 00:00:00 -0000

ros-one-ros-control-boilerplate (0.4.0-0noble) noble; urgency=high

  * Depend on Eigen3
  * Remove dependency on meta package
  * Fixed var name
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 29 Jun 2016 00:00:00 -0000

ros-one-ros-control-boilerplate (0.3.1-0noble) noble; urgency=high

  * API deprecation fix for rosparam_shortcuts
  * Switched to better use of rosparam_shortcuts
  * Ability to record all controller status data, not just at certain frequency
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 13 Jan 2016 00:00:00 -0000

ros-one-ros-control-boilerplate (0.3.0-0noble) noble; urgency=high

  * Removed bad reference name
  * Switched to using name_
  * Record error data
  * Disable soft joint limits
  * header to debug output
  * Added error checking of control loops time
  * Fix init() bug
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sun, 27 Dec 2015 00:00:00 -0000

ros-one-ros-control-boilerplate (0.2.1-0noble) noble; urgency=high

  * Merge branch 'indigo-devel' of github.com:davetcoleman/ros_control_boilerplate into indigo-devel
  * Fix install path
  * Improve user output message
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 09 Dec 2015 00:00:00 -0000

ros-one-ros-control-boilerplate (0.2.0-0noble) noble; urgency=high

  * Do not automatically call init()
  * Removed warning of joint limits for continous joints
  * Fix missing variable
  * Improved rrbot_control example package
  * Moved rrbot example code into subdirectory
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 09 Dec 2015 00:00:00 -0000

ros-one-ros-control-boilerplate (0.1.4-0noble) noble; urgency=high

  * Added missing dependency on sensor_msgs
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 07 Dec 2015 00:00:00 -0000

ros-one-ros-control-boilerplate (0.1.3-0noble) noble; urgency=high

  * Fix catkin lint errors
  * Added FindGflags directly to this repo
  * Minor fix
  * Updated README
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sat, 05 Dec 2015 00:00:00 -0000

ros-one-ros-control-boilerplate (0.1.2-0noble) noble; urgency=high

  * Added dependency on gflags
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 02 Dec 2015 00:00:00 -0000

ros-one-ros-control-boilerplate (0.1.1-0noble) noble; urgency=high

  * Added travis support
  * Updated README
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 02 Dec 2015 00:00:00 -0000

ros-one-ros-control-boilerplate (0.1.0-0noble) noble; urgency=high

  * Initial release of ros_control_boilerplate
  * Contributors: Dave Coleman



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-ros-control-boilerplate//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-ros-control-boilerplate 0.6.1-4noble.20260221.2157

=== debian/changelog ===
ros-one-ros-control-boilerplate (0.6.1-4noble.20260221.2157) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <davetcoleman@gmail.com>  Sat, 21 Feb 2026 21:57:35 +0000
